Find the answer to your Linux question:
Results 1 to 3 of 3
Dear all, I installed IEEE80211-1.2.16 and i want to install ipw3945-1.2.2 unfortunately i can't install it. I gives this error.. Any ideas??? Thanks for all... #make Using ieee80211 subsystem version ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Feb 2007
    Posts
    3

    Intel 3945ABG make error


    Dear all,
    I installed IEEE80211-1.2.16 and i want to install ipw3945-1.2.2 unfortunately i can't install it. I gives this error.. Any ideas??? Thanks for all...
    #make
    Using ieee80211 subsystem version API v2 from:

    Base: /lib/modules/2.6.22.6/
    Path: /lib/modules/2.6.22.6/include/

    EXTRA_CFLAGS = -I/lib/modules/2.6.22.6/include/ -DIPW3945_COMPAT=2 -g -Wa,-adhlms=check_inc.lst

    mkdir -p /tmp/ipw3945-1.2.2/tmp/.tmp_versions
    make -C /lib/modules/2.6.22.6/build M=/tmp/ipw3945-1.2.2 MODVERDIR=/tmp/ipw3945-1.2.2/tmp/.tmp_versions modules
    make[1]:`/usr/src/linux-2.6.22.6' dizinine giriliyor
    CC [M] /tmp/ipw3945-1.2.2/ipw3945.o
    /tmp/ipw3945-1.2.2/ipw3945.c: In function ‘ipw_pci_probe’:
    /tmp/ipw3945-1.2.2/ipw3945.c:16619: error: ‘struct net_device’ has no member named ‘wireless_data’
    /tmp/ipw3945-1.2.2/ipw3945.c:16624: error: ‘struct net_device’ has no member named ‘wireless_handlers’
    make[2]: *** [/tmp/ipw3945-1.2.2/ipw3945.o] Hata 1
    make[1]: *** [_module_/tmp/ipw3945-1.2.2] Hata 2
    make[1]: `/usr/src/linux-2.6.22.6' dizininden çıkılıyor
    make: *** [modules] Hata 2

  2. #2
    Linux Guru bigtomrodney's Avatar
    Join Date
    Nov 2004
    Location
    Ireland
    Posts
    6,126
    I'm not sure, as I can't decipher all of that - it looks Turkish or something...On the other hand though, what distro are you using? Usually intel cards are supported out of the box.

  3. #3
    Just Joined!
    Join Date
    Feb 2007
    Posts
    3
    Yes you are right, thats Turkish, but these means only come in come out folders. i use debian 4.0 and my kernel version is 2.6.22.6. i can't understand why can't compile it?
    if any idea, i will be happy...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •